Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0018335
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] B. User interfaceminoralways2011-08-22 23:232011-11-22 03:50
ReporterdbazView Statuspublic 
Assigned Todbaz 
PrioritynormalResolutionfixedFixed in Version3.0MP6
StatusclosedFix in branchFixed in SCM revision832606bb1db5
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0018335: Instance deactivation popup should be modal

DescriptionInstance deactivation popup should be modal
Steps To ReproduceAs "System administrator" with an active instance:

General Setup -> Application -> Instance Activation

Click "Deactivate" button
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0040430)
hgbot (developer)
2011-08-22 23:25

Repository: erp/devel/pi
Changeset: 2565791a15e71437baff10c6afec2962ff62f607
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Mon Aug 22 23:25:24 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/2565791a15e71437baff10c6afec2962ff62f607 [^]

Fixed issue 18335: 'Deactivate instance' popup now is modal

---
M src/org/openbravo/erpCommon/ad_forms/InstanceManagement.html
---
(0040456)
dbaz (developer)
2011-08-23 18:36

Repository: erp/devel/pi
Changeset: cc1bbe5d1b98
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Tue Aug 23 18:33:21 2011 +0200
URL: https://code.openbravo.com/erp/devel/pi/rev/cc1bbe5d1b98 [^]

Related to issue 18335: Reverted fix until Selenium test be updated

---
M src/org/openbravo/erpCommon/ad_forms/InstanceManagement.html
---
(0040463)
hudsonbot (developer)
2011-08-24 01:08

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ae0285ee1597 [^]

Maturity status: Test
(0042938)
dbaz (developer)
2011-11-17 15:56

The proposed test is the same that "Steps To Reproduce"
(0042940)
hgbot (developer)
2011-11-17 15:58

Repository: erp/devel/pi
Changeset: 832606bb1db5d52c7c8ed59a48e52c45280a56a9
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Thu Nov 17 15:57:56 2011 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/832606bb1db5d52c7c8ed59a48e52c45280a56a9 [^]

Fixed issue 18335: 'Deactivate instance' popup now is modal

---
M src/org/openbravo/erpCommon/ad_forms/InstanceManagement.html
---
(0042960)
hgbot (developer)
2011-11-17 20:51

Repository: tools/automation/int
Changeset: 085684332e32bc5505870c28f9018785ff5fe0b1
Author: Pablo Lujan <pablo.lujan <at> openbravo.com>
Date: Thu Nov 17 15:59:40 2011 +0100
URL: http://code.openbravo.com/tools/automation/int/rev/085684332e32bc5505870c28f9018785ff5fe0b1 [^]

Adapts smoke test to new modal window from issue 18335

---
M src-test/com/openbravo/test/integration/erp/gui/general/application/instanceactivation/InstanceActivationForm.java
A src-test/com/openbravo/test/integration/erp/gui/general/application/instanceactivation/DeactivatePopUp.java
---
(0042970)
AugustoMauch (developer)
2011-11-18 10:35

Steps to reproduce:
- As "System administrator" with an active instance:
- General Setup -> Application -> Instance Activation
- Click "Deactivate" button
- The Deactivate instance window should be modal
(0043044)
hudsonbot (developer)
2011-11-22 03:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ebd713dfe507 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-08-22 23:23 dbaz New Issue
2011-08-22 23:23 dbaz Assigned To => dbaz
2011-08-22 23:23 dbaz Modules => Core
2011-08-22 23:25 hgbot Checkin
2011-08-22 23:25 hgbot Note Added: 0040430
2011-08-22 23:25 hgbot Status new => resolved
2011-08-22 23:25 hgbot Resolution open => fixed
2011-08-22 23:25 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/2565791a15e71437baff10c6afec2962ff62f607 [^]
2011-08-22 23:26 dbaz Status resolved => closed
2011-08-22 23:26 dbaz Fixed in Version => 3.0MP3
2011-08-23 18:36 dbaz Note Added: 0040456
2011-08-23 18:37 dbaz Status closed => new
2011-08-23 18:37 dbaz Resolution fixed => open
2011-08-23 18:37 dbaz Fixed in Version 3.0MP3 =>
2011-08-23 18:37 dbaz Target Version 3.0MP3 => 3.0MP4
2011-08-24 01:08 hudsonbot Checkin
2011-08-24 01:08 hudsonbot Note Added: 0040463
2011-09-26 12:46 dbaz Target Version 3.0MP4 =>
2011-11-17 15:56 dbaz Note Added: 0042938
2011-11-17 15:58 hgbot Checkin
2011-11-17 15:58 hgbot Note Added: 0042940
2011-11-17 15:58 hgbot Status new => resolved
2011-11-17 15:58 hgbot Resolution open => fixed
2011-11-17 15:58 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/2565791a15e71437baff10c6afec2962ff62f607 [^] => http://code.openbravo.com/erp/devel/pi/rev/832606bb1db5d52c7c8ed59a48e52c45280a56a9 [^]
2011-11-17 20:51 hgbot Checkin
2011-11-17 20:51 hgbot Note Added: 0042960
2011-11-18 10:35 AugustoMauch Note Added: 0042970
2011-11-18 10:35 AugustoMauch Status resolved => closed
2011-11-18 10:35 AugustoMauch Fixed in Version => 3.0MP6
2011-11-22 03:50 hudsonbot Checkin
2011-11-22 03:50 hudsonbot Note Added: 0043044


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker